<template>
  <div class="vlow-node vlow-node-event has-right" :rel="content.id">
    <div
        class="title"
        v-text="content.node.name.constant.value"
        @mousedown.prevent="$emit('start-drag', $event)"
    />
    <template v-for="(cfg, output, n) in proto.outputs" :key="output+'pin'">
      <div

          :class="'name right row'+n"
          v-text="cfg.label || output"
      />
      <div
          :rel="output"
          :class="'output right row'+n"
          v-html="'&middot;'"
      />
    </template>
  </div>
</template>

<script>
export default {
  name: "custom-node-event",
  props: {
    proto: Object,
    content: Object
  }
}
</script>
